Hi,

I want to create an .exe with py2exe for 2 versions of Excel.
The Excel 2003 is installed on my computer, but users have to use the Excel 2010 version.

Is there a way to create an .exe that uses the correct excel version on my computer and the correct one on the users' computers ?

############
setup(
   data_files = data_files,
  
    options = {"py2exe": {"compressed": 2,
                          "optimize": 2,
                          "includes": includes,
                          "excludes": excludes,
                          "packages": packages,
                          "dll_excludes": dll_excludes,
                          "bundle_files": 3,
                          "dist_dir": "dist",
                          "xref": False,
                          "typelibs": [('{00020813-0000-0000-C000-000000000046}',0,1,5),
                                        ('{00020813-0000-0000-C000-000000000046}',0,1,7)],
                          "skip_archive": False,
                          "ascii": False,
                           "custom_boot_script": '',
                         }
              },

    zipfile = "lib\library.zip",
    #console = [GUI2Exe_Target_1]
    windows = [GUI2Exe_Target_1]
     )

############
The console gives me the following error:
pywintypes.com_error: (-2147319779, (Bibliotheque non inscrite.' , None, None)

The first Excel CLSID works, the second doesn't . It's normal but how to include both ?

Sincerely,

Mathieu